=== debian/changelog ===
python-pyxs (0.4.2~git20190115.97f14313-6) unstable; urgency=medium

  * Fix FTBFS: Port to Current sphinx. (Closes: #1090159)
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Bump copyright years.

 -- Benjamin Hof <vexel@vexel.net>  Thu, 19 Dec 2024 20:01:07 +0100

python-pyxs (0.4.2~git20190115.97f14313-5) unstable; urgency=medium

  * Point watch file to current release location.
  * Bump Standards-Version to 4.6.0.1, no changes needed.
  * Bump copyright years.

 -- Benjamin Hof <vexel@vexel.net>  Mon, 31 Jan 2022 17:44:58 +0100

python-pyxs (0.4.2~git20190115.97f14313-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Add upstream metadata.

 -- Benjamin Hof <vexel@vexel.net>  Sat, 05 Dec 2020 20:48:20 +0100

python-pyxs (0.4.2~git20190115.97f14313-3) unstable; urgency=medium

  * Fix typo in Suggests.
  * Make python-pyxs-doc Multi-Arch: foreign.
  * Fix links in documentation. (Closes: #966495)

 -- Benjamin Hof <vexel@vexel.net>  Thu, 06 Aug 2020 00:32:33 +0200

python-pyxs (0.4.2~git20190115.97f14313-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Benjamin Hof <vexel@vexel.net>  Sun, 26 Jul 2020 09:39:25 +0200

python-pyxs (0.4.2~git20190115.97f14313-1) unstable; urgency=medium

  * Initial packaging. (Closes: #692516)

 -- Benjamin Hof <vexel@vexel.net>  Wed, 15 Jul 2020 20:44:55 +0200
