=== debian/control ===
Source: python-pyxs
Maintainer: Benjamin Hof <vexel@vexel.net>
Section: python
Priority: optional
Build-Depends: debhelper-compat (=13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-pytest-runner,
               python3-docutils,
               python3-sphinx,
Standards-Version: 4.7.0
Homepage: https://pyxs.readthedocs.org
Vcs-Browser: https://salsa.debian.org/debian/pyxs
Vcs-Git: https://salsa.debian.org/debian/pyxs.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pyxs
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
Suggests: python-pyxs-doc
Description: Pure Python XenStore client implementation
 pyxs is a pure Python XenStore client implementation, which covers all of the
 libxs features and adds some nice Pythonic sugar on top.
 .
 pyxs works over a Unix socket or XenBus,
 has a clean and well-documented API,
 is written in easy to understand Python,
 and can be used with gevent or eventlet.
 .
 This package installs the library for Python 3.

Package: python-pyxs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
Description: Pure Python XenStore client implementation (documentation)
 pyxs is a pure Python XenStore client implementation, which covers all of the
 libxs features and adds some nice Pythonic sugar on top.
 .
 pyxs works over a Unix socket or XenBus,
 has a clean and well-documented API,
 is written in easy to understand Python,
 and can be used with gevent or eventlet.
 .
 This package installs the documentation.
