=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/(\d\S+)\.tar\.gz/pyxs-$1\.tar\.gz/, pgpmode=none" \
  https://github.com/selectel/pyxs/tags .*/(\d\S+)\.tar\.gz
